#ifndef footosmainloophfoo
#define footosmainloophfoo

/***
  This file is part of PulseAudio.
  TOS Mainloop Implementation
***/

#include <pulse/mainloop-api.h>
#include <pulse/cdecl.h>
#include <pulse/version.h>

#include "eventloop/event_loop.h"
#include "common/event_manager/fd_watcher.h"

/** \page tos-mainloop TOS Main Loop Bindings
 *
 * \section overv_sec Overview
 *
 * The TOS main loop bindings are extremely easy to use. All that is
 * required is to create a pa_tos_mainloop object using
 * pa_tos_mainloop_new(). When the main loop abstraction is needed, it is
 * provided by pa_tos_mainloop_get_api().
 *
 */

/** \file
 * TOS main loop support
 *
 * See also \subpage tos-mainloop
 */

PA_C_DECL_BEGIN

/** Return the abstract main loop API vtable for the TOS main loop
  object. No need to free the API as it is owned by the loop
  and is destroyed when the loop is freed. */
pa_mainloop_api* pa_tos_mainloop_get_api();

PA_C_DECL_END

#endif
